PROGRAM_NAME='Rollease Acmeda ARC2 Demo v1_1'

/////////////////////////////////////////////////////////////
// IN ORDER TO VIEW THIS FILE CORRECTLY,
// PLEASE SET YOUR NETLINX STUDIO EDITOR SETTINGS TO:
// TAB STOP CHARACTERS: 2
// INDENT BEFORE TEXT: 2
/////////////////////////////////////////////////////////////

#IF_NOT_DEFINED __SNAPI_CONST__
#INCLUDE 'SNAPI'
#END_IF

(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE

/////////////////////////////////////////////////////////////
// PHYSICAL DEVICES
/////////////////////////////////////////////////////////////

dvRollease					= 0:4:0;

/////////////////////////////////////////////////////////////
// VIRTUAL DEVICES
/////////////////////////////////////////////////////////////

// MAIN
vdvRollease					= 41001:1:0;

// MOTORS
vdvMotor1						= 41001:1:0;
vdvMotor2						= 41001:2:0;
vdvMotor3						= 41001:3:0;
vdvMotor4						= 41001:4:0;
vdvMotor5						= 41001:5:0;

/////////////////////////////////////////////////////////////
// TOUCHPANELS
/////////////////////////////////////////////////////////////

dvPanel 								= 10001:1:0;

(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

/////////////////////////////////////////////////////////////
// DEVICE INFORMATION
/////////////////////////////////////////////////////////////

CHAR IP_ADDRESS[] 	= '192.168.192.117';

(***********************************************************)
(*              DATA TYPE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_TYPE

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

VOLATILE DEV vdvMotors[] =
{
	vdvMotor1,
	vdvMotor2,
	vdvMotor3,
	vdvMotor4,
	vdvMotor5
}

(***********************************************************)
(*               LATCHING DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_LATCHING

(***********************************************************)
(*       MUTUALLY EXCLUSIVE DEFINITIONS GO BELOW           *)
(***********************************************************)
DEFINE_MUTUALLY_EXCLUSIVE

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START

/////////////////////////////////////////////////////////////
// DEFINE MODULES
/////////////////////////////////////////////////////////////

// COMM MODULE
DEFINE_MODULE 'Rollease_Acmeda_ARC2_dr1_0_0' modCommRollease(vdvRollease, dvRollease);

// UI MODULES
DEFINE_MODULE 'Rollease Acmeda ARC2 UI v1_1' modUiRollease(dvPanel, vdvRollease, vdvMotors);

(***********************************************************)
(*                THE EVENTS GO BELOW                      *)
(***********************************************************)
DEFINE_EVENT

/////////////////////////////////////////////////////////////
// VIRTUAL DEVICE ONLINE
/////////////////////////////////////////////////////////////

DATA_EVENT[vdvRollease]
{
	ONLINE:
	{
		WAIT 50 'SETTLE DEVICE'
		{
			SEND_COMMAND vdvRollease,"'DEBUG-4'";
			SEND_COMMAND vdvRollease,"'PROPERTY-IP_Address,', IP_ADDRESS";
			
			SEND_COMMAND vdvRollease,"'MOTORADD[WVZ]'";
			SEND_COMMAND vdvRollease,"'MOTORADD[CGD]'";
			SEND_COMMAND vdvRollease,"'MOTORADD[HJQ]'";
			SEND_COMMAND vdvRollease,"'MOTORADD[LBY]'";
			SEND_COMMAND vdvRollease,"'MOTORADD[WZD]'";
			
			SEND_COMMAND vdvRollease,"'REINIT'";
		}
	}
}

DEFINE_PROGRAM
